RDF::Trine::Serializer::RDFXML(3pm)

NAME
RDF::Trine::Serializer::RDFXML - RDF/XML Serializer

VERSION
This document describes RDF::Trine::Serializer::RDFXML version 1.019

SYNOPSIS
 use RDF::Trine::Serializer::RDFXML;
 my $serializer = RDF::Trine::Serializer::RDFXML->new( namespaces => { ex => 'http://example/' } );
 print $serializer->serialize_model_to_string($model);

DESCRIPTION
The RDF::Trine::Serializer::Turtle class provides an API for serializing RDF graphs to the RDF/XML syntax.

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Serializer class.

"new ( namespaces => \%namespaces, base_uri => $baseuri )"
    Returns a new RDF/XML serializer object.

"serialize_model_to_file ( $fh, $model )"
    Serializes the $model to RDF/XML, printing the results to the supplied filehandle "<$fh">.

"serialize_model_to_string ( $model )"
    Serializes the $model to RDF/XML, returning the result as a string.

"serialize_iterator_to_file ( $file, $iter )"
    Serializes the iterator to RDF/XML, printing the results to the supplied filehandle "<$fh">.

"serialize_iterator_to_string ( $iter )"
    Serializes the iterator to RDF/XML, returning the result as a string.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://www.w3.org/TR/rdf-syntax-grammar/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.